﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace HeadTraxExtreme
{
    /// <summary>
    /// Simple class to convert an int parameter of people into an int[2] of { people, everyone else }.
    /// </summary>
    public class EmpireConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var intValue = (int)value + 1;
            return new int[] { intValue, Employee.TotalEmployees - intValue };
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
