﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace HeadTraxExtreme
{
    /// <summary>
    /// Simple class to convert a DateTime into its short string form.
    /// </summary>
    public class ShortDateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return ((DateTime)value).ToShortDateString();
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
